Ubuntu

Activity log for bug #423616

Date Who What changed Old value New value Message
2009-09-03 09:42:33 Paolo bug added bug
2009-09-03 09:44:23 Paolo description Binary package hint: casper I'm booting a system on a USB key from an old laptop having no bios option to boot from usb, nor bios recognition of usb at boot. This is useful to install new ubuntu distros without burning CDs even on old and very old machines, avoiding producing trash. The usb keys are obtained by ubuntu usb live creation on FAT32 usb keys (Karmic and Jaunty). The method used is to boot a kernel and ram image previously copied on hard disk from USB in /boot/usb-boot directory, but using as root the usb key. In any case I was able to open the system as the live cd, asking for language and keyboard - I was only able to boot the system this way : title Xubuntu from USB uuid 26d5b9d3-5e38-400f-906c-ea685407c590 #uuid of hard disk kernel /boot/usb-boot/vmlinuz floppy.allowed_drive_mask=0 root=UUID=46F1-C9E3 boot=casper noprompt cdrom-detect/try-usb=true lang=it locale=it_IT initrd /boot/usb-boot/initrd.gz boot where : 46F1-C9E3 is the uuid of the usb key. floppy.allowed_drive_mask=0 is an option needed both in Karmic and Jaunty to avoid booting to stop looking for fd0 (I/O Error on fd0) - BTW - with this option the system works but complains as "Unknown option" - if option is absent, system doesn't work; I also tryed to grub-install with --no-floppy option but no effect. The system work when only the previous option are included, but both in Jaunty and Karmic, those options do not work : 1) keyboard=it or keyb=it or xkeyboard=it (no effect) 2) bootkbd=it (system doesn't boot, and this is the standard option from https://help.ubuntu.com/community/BootOptions) 3) console-setup/layoutcode=it (system doesn't boot) 4) file=/cdrom/preseed/xubuntu.seed persistent (system doesn't boot) When system doesn't boot, it looklikes looking for a media it can't read (/dev/sdb, /dev/sr0......), and we get a loop. Do I need to copy extra files in /boot/usb-boot? 5) option bootkbd=it in syslinux.cfg let system booting, but no effects; 6) manual change allows to set keyboard (Applications/Settings/Keyboard) and setxkbmap it works too For my use, the "persistent" option is not indispensable; A boot with the right keyboard would be preferable for multiple installs; Thx Paolo Binary package hint: casper I'm booting a system on a USB key from an old laptop having no bios option to boot from usb, nor bios recognition of usb at boot. This is useful to install new ubuntu distros without burning CDs even on old and very old machines, avoiding producing trash. The usb keys are obtained by ubuntu usb live creation on FAT32 usb keys (Karmic and Jaunty). The method used is to boot a kernel and ram image previously copied on hard disk from USB in /boot/usb-boot directory, but using as root the usb key. In any case I wasn't able to open the system as the live cd, asking for language and keyboard - I was only able to boot the system this way : title Xubuntu from USB uuid 26d5b9d3-5e38-400f-906c-ea685407c590 #uuid of hard disk kernel /boot/usb-boot/vmlinuz floppy.allowed_drive_mask=0 root=UUID=46F1-C9E3 boot=casper noprompt cdrom-detect/try-usb=true lang=it locale=it_IT initrd /boot/usb-boot/initrd.gz boot where : 46F1-C9E3 is the uuid of the usb key. floppy.allowed_drive_mask=0 is an option needed both in Karmic and Jaunty to avoid booting to stop looking for fd0 (I/O Error on fd0) - BTW - with this option the system works but complains as "Unknown option" - if option is absent, system doesn't work; I also tryed to grub-install with --no-floppy option but no effect. The system work when only the previous option are included, but both in Jaunty and Karmic, those options do not work : 1) keyboard=it or keyb=it or xkeyboard=it (no effect) 2) bootkbd=it (system doesn't boot, and this is the standard option from https://help.ubuntu.com/community/BootOptions) 3) console-setup/layoutcode=it (system doesn't boot) 4) file=/cdrom/preseed/xubuntu.seed persistent (system doesn't boot) When system doesn't boot, it looklikes looking for a media it can't read (/dev/sdb, /dev/sr0......), and we get a loop. Do I need to copy extra files in /boot/usb-boot? 5) option bootkbd=it in syslinux.cfg let system booting, but no effects; 6) manual change allows to set keyboard (Applications/Settings/Keyboard) and setxkbmap it works too For my use, the "persistent" option is not indispensable; A boot with the right keyboard would be preferable for multiple installs; Thx Paolo
2009-09-03 18:44:58 Paolo description Binary package hint: casper I'm booting a system on a USB key from an old laptop having no bios option to boot from usb, nor bios recognition of usb at boot. This is useful to install new ubuntu distros without burning CDs even on old and very old machines, avoiding producing trash. The usb keys are obtained by ubuntu usb live creation on FAT32 usb keys (Karmic and Jaunty). The method used is to boot a kernel and ram image previously copied on hard disk from USB in /boot/usb-boot directory, but using as root the usb key. In any case I wasn't able to open the system as the live cd, asking for language and keyboard - I was only able to boot the system this way : title Xubuntu from USB uuid 26d5b9d3-5e38-400f-906c-ea685407c590 #uuid of hard disk kernel /boot/usb-boot/vmlinuz floppy.allowed_drive_mask=0 root=UUID=46F1-C9E3 boot=casper noprompt cdrom-detect/try-usb=true lang=it locale=it_IT initrd /boot/usb-boot/initrd.gz boot where : 46F1-C9E3 is the uuid of the usb key. floppy.allowed_drive_mask=0 is an option needed both in Karmic and Jaunty to avoid booting to stop looking for fd0 (I/O Error on fd0) - BTW - with this option the system works but complains as "Unknown option" - if option is absent, system doesn't work; I also tryed to grub-install with --no-floppy option but no effect. The system work when only the previous option are included, but both in Jaunty and Karmic, those options do not work : 1) keyboard=it or keyb=it or xkeyboard=it (no effect) 2) bootkbd=it (system doesn't boot, and this is the standard option from https://help.ubuntu.com/community/BootOptions) 3) console-setup/layoutcode=it (system doesn't boot) 4) file=/cdrom/preseed/xubuntu.seed persistent (system doesn't boot) When system doesn't boot, it looklikes looking for a media it can't read (/dev/sdb, /dev/sr0......), and we get a loop. Do I need to copy extra files in /boot/usb-boot? 5) option bootkbd=it in syslinux.cfg let system booting, but no effects; 6) manual change allows to set keyboard (Applications/Settings/Keyboard) and setxkbmap it works too For my use, the "persistent" option is not indispensable; A boot with the right keyboard would be preferable for multiple installs; Thx Paolo Binary package hint: casper I'm booting a system on a USB key from an old laptop having no bios option to boot from usb, nor bios recognition of usb at boot. This is useful to install new ubuntu distros without burning CDs even on old and very old machines, avoiding producing trash. The usb keys are obtained by ubuntu usb live creation on FAT32 usb keys (Karmic and Jaunty). The method used is to boot a kernel and ram image previously copied on hard disk from USB in /boot/usb-boot directory, but using as root the usb key. In any case I wasn't able to open the system as the live cd, asking for language and keyboard - I was only able to boot the system this way : title Xubuntu from USB uuid 26d5b9d3-5e38-400f-906c-ea685407c590 #uuid of hard disk kernel /boot/usb-boot/vmlinuz floppy.allowed_drive_mask=0 root=UUID=46F1-C9E3 boot=casper noprompt cdrom-detect/try-usb=true lang=it locale=it_IT initrd /boot/usb-boot/initrd.gz boot where : 46F1-C9E3 is the uuid of the usb key. floppy.allowed_drive_mask=0 is an option needed both in Karmic and Jaunty to avoid booting to stop looking for fd0 (I/O Error on fd0) - BTW - with this option the system works but complains as "Unknown option" - if option is absent, system doesn't work; I also tryed to grub-install with --no-floppy option but no effect. The system work when only the previous option are included, but both in Jaunty and Karmic, those options do not work : 1) keyboard=it or keyb=it or xkeyboard=it (no effect) 2) bootkbd=it (system doesn't boot, and this is the standard option from https://help.ubuntu.com/community/BootOptions) 3) console-setup/layoutcode=it (system doesn't boot) 4) file=/cdrom/preseed/xubuntu.seed persistent (system doesn't boot) When system doesn't boot, it looklikes looking for a media it can't read (/dev/sdb, /dev/sr0......), and we get a loop. Do I need to copy extra files in /boot/usb-boot? 5) option bootkbd=it in syslinux.cfg let system booting, but no effects; 6) manual change allows to set keyboard (Applications/Settings/Keyboard) and setxkbmap it works too For my use, the "persistent" option is not indispensable; A boot with the right keyboard would be preferable for multiple installs; 7) option xforcevesa doesn't work (no boot) option vesa has no effect Thx Paolo
2009-09-08 11:35:47 Tormod Volden casper (Ubuntu): status New Incomplete
2009-09-08 11:35:47 Tormod Volden casper (Ubuntu): assignee Tormod Volden (tormodvolden)
2009-09-08 19:01:54 Paolo attachment added casper.log http://launchpadlibrarian.net/31505070/casper.log
2009-09-08 22:45:22 Paolo attachment added casper.log http://launchpadlibrarian.net/31512550/casper.log
2009-09-08 22:55:18 Paolo attachment added dmesg.txt http://launchpadlibrarian.net/31512848/dmesg.txt
2011-10-24 17:38:24 Brian Murray casper (Ubuntu): importance Undecided Medium
2011-10-24 17:38:24 Brian Murray casper (Ubuntu): status Incomplete New
2011-10-24 17:38:24 Brian Murray casper (Ubuntu): assignee Tormod Volden (tormodvolden)
2012-02-15 21:35:52 Roland Kwee attachment added patch for casper for support of boot option live-media https://bugs.launchpad.net/ubuntu/+source/casper/+bug/423616/+attachment/2743507/+files/patch_casper
2012-02-15 23:04:37 bam bug added subscriber bam
2012-10-02 21:36:17 Stéphane Graber casper (Ubuntu): status New Fix Committed
2012-10-02 22:29:11 Launchpad Janitor casper (Ubuntu): status Fix Committed Fix Released